Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154801 - classmap.db file searched for in wrong place
Summary: classmap.db file searched for in wrong place
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 10:14 UTC by Ulrich Drepper
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-25 00:18:10 UTC


Attachments (Terms of Use)

Description Ulrich Drepper 2005-04-14 10:14:13 UTC
Description of problem:
When installing eclipse on x86-64, the following is printed:

java.io.FileNotFoundException: /usr/lib64/gcj-4.0.0/classmap.db (No such file or
directory)
   at gnu.java.nio.channels.FileChannelImpl.open(java.lang.String, int)
(/usr/lib64/libgcj.so.6.0.0)


There is no such file, but there is /usr/lib/gcj-4.0.0/classmap.db.  The file is
probably arch-independent and therefore no lib->lib64 translation should be done.

Version-Release number of selected component (if applicable):
gcc-java-4.0.0-0.40.x86_64

How reproducible:
always

Steps to Reproduce:
1.install eclipse
2.
3.
  
Actual results:
see above

Expected results:
no messages

Additional info:

Comment 1 Jakub Jelinek 2005-04-24 12:00:59 UTC
Does the problem go away if you upgrade eclipse, say to 3.1.0_fc-0.M6.10?
/usr/lib64/gcj-4.0.0/classmap.db is the right path for the classmap file with
64-bit lib references.

Comment 2 Ulrich Drepper 2005-04-25 00:18:10 UTC
Seems to work fine with current eclipse.


Note You need to log in before you can comment on or make changes to this bug.